Skip to main content
POST
/
v1
/
agent-credentials
/
{credentialId}
/
revoke
Revoke a sandbox agent credential
curl --request POST \
  --url https://api.example.com/v1/agent-credentials/{credentialId}/revoke \
  --header 'Content-Type: application/json' \
  --header 'x-ws-api-key: <api-key>' \
  --data '
{
  "reason": "Prototype finished; credential no longer needed."
}
'
{
  "outcome": "revoked",
  "credential_id": "ws_agent_cred_123456789",
  "request_id": "ws_request_123456789",
  "production_access": false,
  "next_steps": "Request a new sandbox credential when you need API access again."
}

Authorizations

x-ws-api-key
string
header
required

WattShift API key

Headers

x-ws-api-key
string

WattShift API Key

Path Parameters

credentialId
string
required

Body

application/json
reason
string
Maximum string length: 255

Response

Sandbox credential revocation result.

outcome
enum<string>
required
Available options:
revoked
credential_id
string
required
request_id
string
required
production_access
boolean
required
next_steps
string
required